package com.cooleshow.student.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.student.bean.CountOfUnreadBean;
import com.cooleshow.student.bean.SystemMessageBean;

import java.util.List;

/**
 * 创建日期：2022/5/24 11:52
 *
 * @author Ryan
 * 类说明：
 */
public interface MessageBoxContract {
    interface MessageBoxView extends BaseView {
        void sysMessageListSuccess(int page, SystemMessageBean data);

        void sysMessageListError(int page);

        void setCurrentReadSuccess(long id);

        void queryCountOfUnreadSuccess(List<CountOfUnreadBean> data);
        void batchSetReadSuccess();
    }

    interface Presenter {
    }
}
